# D:/CHAI3D/build-2-0-0/2.0.0/win32/src/math/CVector3d.h File Reference

Math
3D Vectors. More...

`#include "math/CString.h"`
`#include "math/CConstants.h"`
`#include "extras/CGlobals.h"`
`#include <math.h>`
`#include <ostream>`

Go to the source code of this file.

## Classes
struct | cVector3d
| This vector class provides storage for a 3 dimensional double precision floating point vector as well as simple floating point arithmetic operations. More...
struct | cRay3d
| cRay3d represents a 3D vector with an origin. More...
struct | cSegment3d
| cSegment3d represents a line segment with a start and an end. More...
## Functions
cVector3d | operator* (const cVector3d &v, const double a_input)
cVector3d | operator/ (const cVector3d &v, const double a_input)
cVector3d | operator* (const double a_input, const cVector3d &v)
cVector3d | operator+ (const cVector3d &v1, const cVector3d &v2)
cVector3d | operator- (const cVector3d &v1, const cVector3d &v2)
double | operator* (const cVector3d &v1, const cVector3d &v2)

## Detailed Description

Math
3D Vectors.

## Function Documentation

double operator* | ( | const cVector3d & | v1,
|  | const cVector3d & | v2 |
| ) |  |  | `[inline]`

An overloaded * operator for vector/vector dotting.

cVector3d operator* | ( | const double | a_input,
|  | const cVector3d & | v |
| ) |  |  | `[inline]`

An overloaded * operator for scalar/vector multiplication.

cVector3d operator* | ( | const cVector3d & | v,
|  | const double | a_input |
| ) |  |  | `[inline]`

An overloaded * operator for vector/scalar multiplication.

cVector3d operator+ | ( | const cVector3d & | v1,
|  | const cVector3d & | v2 |
| ) |  |  | `[inline]`

An overloaded + operator for vector/vector addition.

cVector3d operator- | ( | const cVector3d & | v1,
|  | const cVector3d & | v2 |
| ) |  |  | `[inline]`

An overloaded - operator for vector/vector subtraction.

cVector3d operator/ | ( | const cVector3d & | v,
|  | const double | a_input |
| ) |  |  | `[inline]`

An overloaded / operator for vector/scalar division.

CHAI3D 2.0.0 documentation
Please address any questions to support@chai3d.org
(C) 2003-2009 - CHAI 3D
All Rights Reserved.